> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create model version

> Creates a model version



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/2.0/mlflow/model-versions/create
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/model-versions/create:
    post:
      tags:
        - MLflow models
      description: Creates a model version
      operationId: modelVersions.Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mlflow-proxy_CreateModelVersionRequest'
      responses:
        '200':
          description: Created model version
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_CreateModelVersionResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_CreateModelVersionRequest:
      properties:
        name:
          description: Register models under this name. This field is required.
          type: string
        source:
          description: >-
            URI indicating the location of the model artifacts. This field is
            required.
          type: string
        run_id:
          description: >-
            MLflow run ID for correlation, if source was generated by an
            experiment run in MLflow tracking server
          type: string
        tags:
          description: Additional metadata for model version.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
        run_link:
          description: >-
            MLflow run link - this is the exact link of the run that generated
            this model version, potentially hosted at another instance of
            MLflow.
          type: string
        description:
          type: string
          description: Optional description for model version.
      required:
        - name
        - source
      type: object
    mlflow-proxy_CreateModelVersionResponse:
      properties:
        model_version:
          $ref: '#/components/schemas/mlflow-proxy_ModelVersion'
      required:
        - model_version
      type: object
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_ModelVersion:
      properties:
        name:
          description: Unique name of the model.
          type: string
        version:
          description: Model's version number.
          type: string
        creation_timestamp:
          description: Timestamp recorded when this model_version was created.
          type: integer
          format: int64
        last_updated_timestamp:
          description: >-
            Timestamp recorded when metadata for this model_version was last
            updated.
          type: integer
          format: int64
        user_id:
          description: User that created this model_version.
          type: string
        current_stage:
          description: Current stage for this model_version.
          type: string
        description:
          description: Description of this model_version.
          type: string
        source:
          description: >-
            URI indicating the location of the source model artifacts, used when
            creating model_version.
          type: string
        run_id:
          description: >-
            MLflow run ID used when creating model_version, if source was
            generated by an experiment run stored in MLflow tracking server.
          type: string
        status:
          $ref: '#/components/schemas/mlflow-proxy_ModelVersionStatus'
        status_message:
          description: Details on current status, if it is pending or failed.
          type: string
        tags:
          description: Additional metadata key-value pairs for this model_version.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
        run_link:
          description: >-
            Run Link: Direct link to the run that generated this version. This
            field is set at model version creation time only for model versions
            whose source run is from a tracking server that is different from
            the registry server.
          type: string
        aliases:
          description: >-
            Aliases pointing to model versions associated with this
            registered_model.
          items:
            type: string
          type: array
      required:
        - name
        - version
        - creation_timestamp
        - last_updated_timestamp
        - current_stage
        - description
        - source
        - status
        - tags
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ModelVersionStatus:
      type: string
      enum:
        - PENDING_REGISTRATION
        - FAILED_REGISTRATION
        - READY
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Create Model API version](/api-reference/model-apis/post-apimodelservingv1modelapis-versions.md)
- [Create Model API](/api-reference/model-apis/post-apimodelservingv1modelapis.md)
- [Create registered model](/api-reference/mlflow-models/post-api20mlflowregistered-modelscreate.md)
- [[DEPRECATED] Create a new version of a Registered Model](/api-reference/registered-models/[deprecated]-create-a-new-version-of-a-registered-model.md)
